#include "cdevStreamQueue.h"

cdevSimpleStreamNode::cdevSimpleStreamNode( char * buffer, size_t size)
	: cdevStreamNode(), buf(buffer), len(size)
	{
	}
		
cdevSimpleStreamNode::~cdevSimpleStreamNode ( void ) 
	{ 
	if(buf) delete buf; 
	}

size_t cdevSimpleStreamNode::getLen (void) const                 
	{ 
	return len; 
	}

void  cdevSimpleStreamNode:: setLen (size_t size)                
	{
	len=size;
	}
	
char * cdevSimpleStreamNode::getBuf (void) const                 
	{ 
	return buf; 
	}
	
void   cdevSimpleStreamNode::setBuf (char * buffer, size_t size) 
	{
	buf=buffer; len=size;
	}

cdevNodeFactory::~cdevNodeFactory ( void )
	{
	}
